slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPSolve

Solves the nonlinear eigensystem.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPSolve(NEP nep)

Collective

### Input Parameter

| nep | - eigensolver context obtained from NEPCreate()

### Options Database Keys

| -nep_view | - print information about the solver used
| -nep_view_vectors | - view the computed eigenvectors
| -nep_view_values | - view the computed eigenvalues
| -nep_converged_reason | - print reason for convergence, and number of iterations
| -nep_error_absolute | - print absolute errors of each eigenpair
| -nep_error_relative | - print relative errors of each eigenpair
| -nep_error_backward | - print backward errors of each eigenpair

### Notes

All the command-line options listed above admit an optional argument specifying the viewer type and options. For instance, use '-nep_view_vectors binary:myvecs.bin' to save the eigenvectors to a binary file, '-nep_view_values draw' to draw the computed eigenvalues graphically, or '-nep_error_relative :myerr.m:ascii_matlab' to save the errors in a file that can be executed in Matlab.

### See Also

NEPCreate(), NEPSetUp(), NEPDestroy(), NEPSetTolerances()

### Level

beginner

### Location

src/nep/interface/nepsolve.c

### Examples

src/nep/tutorials/ex20.c
src/nep/tutorials/ex20f.F90
src/nep/tutorials/ex21.c
src/nep/tutorials/ex22.c
src/nep/tutorials/ex22f.F90
src/nep/tutorials/ex27.c
src/nep/tutorials/ex27f.F90
src/nep/tutorials/ex42.c
src/nep/tutorials/ex54f.F90
src/nep/tutorials/nlevp/gun.c
src/nep/tutorials/nlevp/loaded_string.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages